Configuring browsers to support TLS 1.2 for NIST SP 800-131

To comply with the US government SP 800-131 security standard, you can configure your browser to support the Transport Layer Security (TLS) 1.2 protocol.

About this task

Restriction: The only browsers that currently support TLSv1.2 are Internet Explorer and Mozilla Firefox.

Procedure

  1. To configure Internet Explorer version 8 and later, complete these steps:
    1. In Internet Explorer, click Tools > Internet Options.
    2. In the Internet Options dialog box, click the Advanced tab.
    3. Scroll to the Security section, select the Use TLS 1.2 check box, and click OK.
  2. To configure Firefox version 24 and later, complete these steps:
    1. Open a Firefox browser and enter about:config in the address bar.
    2. When prompted, click I'll be careful, I promise! and accept the warning.
    3. Search for security.tls.version.max.
    4. Double-click security.tls.version.max and change the value to 3 to configure the browser to support TLS1.2.
      Tip: Value of 1 supports TLS1.0. Value of 2 supports TLS1.0 and TLS1.1. Value of 3 supports TLS1.0, TLS1.1, and TLS1.2.

video icon Video

Jazz.net channel
Software Education channel

learn icon Courses

IoT Academy
Skills Gateway

ask icon Community

Jazz.net
Jazz.net forums
Jazz.net library

support icon Support

IBM Support Community
Deployment wiki